import Typography from "@mui/material/Typography"
import TariffCard from "./TariffCard"
import NumberIcon from "@root/components/NumberIcon"
import { useTheme } from "@mui/material"


export default function FreeTariffCard() {
	const theme = useTheme()

	return (
		<TariffCard
			icon={<NumberIcon
				number={0}
				color={theme.palette.purple.main}
				backgroundColor="white"
			/>}
			headerText="бесплатно"
			text="Текст-заполнитель — это текст, который имеет "
			price={<Typography variant="price" color="white">0 руб.</Typography>}
			sx={{
				backgroundColor: theme.palette.purple.main,
				color: "white",
			}}
			buttonProps={{
				text: "Выбрать",
				sx: {
					color: "white",
					borderColor: "white",
				},
			}}
		/>
	)
}
