import { useEffect, useState } from "react"
import { GetHistoryResponse, getHistory } from "@root/api/history"

export const useHistoryData = () => {
	const [historyData, setHistoryData] = useState<GetHistoryResponse | null>(null)
	const [error, setError] = useState<null | string>(null)

	useEffect(() => {
		async function fetchData() {
			try {
				const [response, errorMsg] = await getHistory()

				if (errorMsg) {
					setError(errorMsg)
				}
				if (response) {
					setHistoryData(response)
				}
			} catch (err) {
				console.error("Произошла ошибка при вызове getHistory:", err)
			}
		}

		fetchData()
	}, [])

	return { historyData, error }
}
